<!DOCTYPE html>
<html lang="en" xmlns:th="www.http://thymeleaf.org">
<link rel="stylesheet" th:href="@{/style/css/bootstrap.css}">
<link rel="stylesheet" th:href="@{/style/css/fonts-awesome.min.css}">
<link rel="stylesheet" th:href="@{/style/css/main.css}">
<head>
    <meta charset="UTF-8">
    <title>Главная</title>

<!--    <meta name="_csrf" th:content="${_csrf.token}"/>-->
<!--    <meta name="_csrf_header" th:content="${_csrf.headerName}"/>-->

</head>
<body>
<div class="include" th:include="/navbar :: content"></div>



<div>

</div>
    <ul class="products clearfix">
        <div th:each="product : ${products}" class="col-md-8 products">
            <div class="row">
                <div class="col-sm-4">
                    <div class="product">
                        <div class="product-img">
                            <div class="prod">
                            </div>

                            <a th:href="@{/description/__${product.id}__}" ><img th:src="@{/style/image/__${product.pictures}__}" alt=""
                                                              class="product-image" th:name="productId" th:value="product.id"></a>
                            <p class="product-title">
                            <h2 th:text="${product.name}"></h2>
                            </p>
                            <p class="product-price" th:text="${product.cost} + 'р.'"></p>

                            <form method="post" th:action="@{/cart/add}">

                                <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
                                <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>

                                <button type="submit" class="buttons-product" name="productId" th:value="${product.id}"
                                        >В корзину
                                </button>
<!--                            <button class="buttons" name="productIdToRemove" th:attr="data-id=${product.id}" onclick="addProductInCart(this)">В корзину-->
<!--                            </button>-->
                            </form>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </ul>
<script src="/style/js/main.js"></script>
</body>
</html>






